javax.swing.event

## Interface MenuKeyListener

- All Superinterfaces:
    EventListener

      public interface MenuKeyListener
      extends EventListener

  MenuKeyListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `menuKeyPressed(MenuKeyEvent e)` Invoked when a key has been pressed.
    `void` | `menuKeyReleased(MenuKeyEvent e)` Invoked when a key has been released.
    `void` | `menuKeyTyped(MenuKeyEvent e)` Invoked when a key has been typed.

- - ### Method Detail

    - #### menuKeyTyped

          void menuKeyTyped(MenuKeyEvent e)

      Invoked when a key has been typed. This event occurs when a key press is followed by a key release.

    - #### menuKeyPressed

          void menuKeyPressed(MenuKeyEvent e)

      Invoked when a key has been pressed.

    - #### menuKeyReleased

          void menuKeyReleased(MenuKeyEvent e)

      Invoked when a key has been released.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.